Debian Bug report logs - #586134
texi2dvi: improper call to grep

version graph

Package: texinfo; Maintainer for texinfo is Debian TeX maintainers <debian-tex-maint@lists.debian.org>; Source for texinfo is src:texinfo.

Reported by: Stéphane Glondu <steph@glondu.net>

Date: Wed, 16 Jun 2010 17:57:02 UTC

Severity: normal

Tags: fixed-upstream, patch

Merged with 584191, 590130, 624245

Found in versions texinfo/4.13a.dfsg.1-5, texinfo/4.13a.dfsg.1-7, texinfo/4.13a.dfsg.1-6

Fixed in version texinfo/4.13a.dfsg.1-8

Done: Norbert Preining <preining@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://lists.gnu.org/archive/html/bug-texinfo/2010-11/msg00000.html

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#586134; Package texinfo. (Wed, 16 Jun 2010 17:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <steph@glondu.net>:
New Bug report received and forwarded. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Wed, 16 Jun 2010 17:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <steph@glondu.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: texi2dvi: improper call to grep
Date: Wed, 16 Jun 2010 19:53:47 +0200
[Message part 1 (text/plain, inline)]
Package: texinfo
Version: 4.13a.dfsg.1-5
Severity: normal
File: /usr/bin/texi2dvi

Hello,

texi2dvi calls grep this way (when called on a trivial file, such as
the one attached):

  egrep '^(/|[A-z]:/)'

Which results in a "egrep: Fin d'intervalle invalide" error in French
locale.


Best regards,

-- 
Stéphane

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages texinfo depends on:
ii  libc6                         2.10.2-9   Embedded GNU C Library: Shared lib

texinfo recommends no packages.

Versions of packages texinfo suggests:
pn  texinfo-doc-nonfree           <none>     (no description available)
ii  texlive-base                  2009-10    TeX Live: Essential programs and f
ii  texlive-generic-recommended   2009-10    TeX Live: Recommended generic pack
ii  texlive-latex-base            2009-10    TeX Live: Basic LaTeX packages

-- no debconf information
[test.tex (text/x-tex, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#586134; Package texinfo. (Sat, 10 Jul 2010 14:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preuße <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Sat, 10 Jul 2010 14:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 586134@bugs.debian.org (full text, mbox):

From: Hilmar Preuße <hille42@web.de>
To: Stéphane Glondu <steph@glondu.net>, 586134@bugs.debian.org
Subject: Re: Bug#586134: texi2dvi: improper call to grep
Date: Sat, 10 Jul 2010 16:10:37 +0200
On 16.06.10 Stéphane Glondu (steph@glondu.net) wrote:

Hi,

> texi2dvi calls grep this way (when called on a trivial file, such as
> the one attached):
> 
>   egrep '^(/|[A-z]:/)'
> 
> Which results in a "egrep: Fin d'intervalle invalide" error in French
> locale.
> 
hille@drachi:~$ egrep '^(/|[A-z]:/)' a.tex 
hille@drachi:~$
hille@drachi:~$ locale
LANG=en_US.UTF-8
<etc.>

Is this problem limited to the French locale? Do you eventually have
a solution, perhap setting the locale to POSIX before running this
command?

H.
-- 
sigmentation fault




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#586134; Package texinfo. (Mon, 12 Jul 2010 15:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <steph@glondu.net>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Mon, 12 Jul 2010 15:45:08 GMT) Full text and rfc822 format available.

Message #15 received at 586134@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <steph@glondu.net>
To: Hilmar Preuße <hille42@web.de>
Cc: 586134@bugs.debian.org
Subject: Re: Bug#586134: texi2dvi: improper call to grep
Date: Mon, 12 Jul 2010 16:37:21 +0100
Le -10/01/-28163 20:59, Hilmar Preuße a écrit :
> hille@drachi:~$ egrep '^(/|[A-z]:/)' a.tex 
> hille@drachi:~$
> hille@drachi:~$ locale
> LANG=en_US.UTF-8
> <etc.>

Err...

steph@sayshell:~$ LC_ALL=en_US.UTF-8 egrep '^(/|[A-z]:/)' /tmp/test.tex
egrep: Invalid range end
steph@sayshell:~$ echo $?
2

> Is this problem limited to the French locale? Do you eventually have
> a solution, perhap setting the locale to POSIX before running this
> command?

IMHO, it looks safer to set the locale to POSIX.

BTW, I'm not sure about the semantics of [A-z]: for example, does `
(which is between Z and a in ASCII) belong to it? If '[A-Za-z]' is
meant, then it's probably better to use that (or '[[:alpha:]]').


Cheers,

-- 
Stéphane





Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#586134; Package texinfo. (Tue, 13 Jul 2010 08:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Tue, 13 Jul 2010 08:12:03 GMT) Full text and rfc822 format available.

Message #20 received at 586134@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Stéphane Glondu <steph@glondu.net>, 586134@bugs.debian.org
Subject: Re: Bug#586134: texi2dvi: improper call to grep
Date: Tue, 13 Jul 2010 10:09:12 +0200
On 12.07.10 Stéphane Glondu (steph@glondu.net) wrote:
> Le -10/01/-28163 20:59, Hilmar Preuße a écrit :

Hi,

> > hille@drachi:~$ egrep '^(/|[A-z]:/)' a.tex 
> > hille@drachi:~$
> > hille@drachi:~$ locale
> > LANG=en_US.UTF-8
> > <etc.>
> 
> Err...
> 
> steph@sayshell:~$ LC_ALL=en_US.UTF-8 egrep '^(/|[A-z]:/)' /tmp/test.tex
> egrep: Invalid range end
> steph@sayshell:~$ echo $?
> 2
> 
Stupid me: that was my stable system. I can reproduce the problem on
Debian unstable.

> BTW, I'm not sure about the semantics of [A-z]: for example, does `
> (which is between Z and a in ASCII) belong to it?  If '[A-Za-z]' is
> meant, then it's probably better to use that (or '[[:alpha:]]').
> 
Probably. Unfortunately I don't really understand how the specific
code block works, hence I can't tell.

H.
-- 
sigmentation fault




Merged 584191 586134. Request was from Hilmar Preusse <hille42@web.de> to control@bugs.debian.org. (Thu, 15 Jul 2010 09:39:09 GMT) Full text and rfc822 format available.

Merged 584191 586134 590130. Request was from Hilmar Preuße <hille42@web.de> to control@bugs.debian.org. (Sun, 01 Aug 2010 18:51:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#586134; Package texinfo. (Tue, 02 Nov 2010 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Tue, 02 Nov 2010 12:09:03 GMT) Full text and rfc822 format available.

Message #29 received at 586134@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: bug-texinfo@gnu.org
Cc: 586134@bugs.debian.org
Subject: Invalid grep pattern in texi2dvi
Date: Tue, 2 Nov 2010 13:05:54 +0100
Dear all,

Down here in the Debian bug tracking system we got to reports
regarding a broken grep pattern in texi2dvi.

http://bugs.debian.org/586134

The complaint is the following code snippet:

1711   # If the COMMAND_LINE_FILENAME is not absolute (e.g., --debug.tex),
1712   # prepend `./' in order to avoid that the tools take it as an option.
1713   echo "$command_line_filename" | $EGREP '^(/|[A-z]:/)' >&6 \
1714   || command_line_filename="./$command_line_filename"

It does not work in the non-POSIX locale. The suggestion by the
submitters is to use either '[A-Za-z]' or '[[:alpha:]]'.

Please evaluate.

Many thanks,
  Hilmar Preuße
-- 
sigfault




Set Bug forwarded-to-address to 'http://lists.gnu.org/archive/html/bug-texinfo/2010-11/msg00000.html'. Request was from Hilmar Preuße <hille42@web.de> to control@bugs.debian.org. (Tue, 02 Nov 2010 19:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#586134; Package texinfo. (Thu, 04 Nov 2010 01:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to karl@freefriends.org (Karl Berry):
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Thu, 04 Nov 2010 01:51:07 GMT) Full text and rfc822 format available.

Message #36 received at 586134@bugs.debian.org (full text, mbox):

From: karl@freefriends.org (Karl Berry)
To: hille42@web.de
Cc: bug-texinfo@gnu.org, 586134@bugs.debian.org
Subject: Re: Invalid grep pattern in texi2dvi
Date: Wed, 3 Nov 2010 23:31:40 GMT
[Message part 1 (text/plain, inline)]
Hi Hilmar,

    Down here in the Debian bug tracking system we got to reports
    regarding a broken grep pattern in texi2dvi.

Not for the first time :).

    1713   echo "$command_line_filename" | $EGREP '^(/|[A-z]:/)' >&6 \

I fixed that in the development sources after a bug report in March.
Current version of the script is attached.  Hope it helps.

    submitters is to use either '[A-Za-z]' or '[[:alpha:]]'.

I chose A-Za-z.  The line now reads:
  echo "$command_line_filename" | $EGREP '^(/|[A-Za-z]:/)' >&6 \

Best,
Karl

[texi2dvi (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#586134; Package texinfo. (Thu, 04 Nov 2010 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Thu, 04 Nov 2010 14:21:03 GMT) Full text and rfc822 format available.

Message #41 received at 586134@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Karl Berry <karl@freefriends.org>, 586134@bugs.debian.org
Cc: bug-texinfo@gnu.org
Subject: Re: Bug#586134: Invalid grep pattern in texi2dvi
Date: Thu, 4 Nov 2010 15:12:44 +0100
On 04.11.10 Karl Berry (karl@freefriends.org) wrote:

Hi Karl,

>     Down here in the Debian bug tracking system we got to reports
>     regarding a broken grep pattern in texi2dvi.
> 
> Not for the first time :).
> 
Did we report that already? Sorry!

>     1713   echo "$command_line_filename" | $EGREP '^(/|[A-z]:/)' >&6 \
> 
> I fixed that in the development sources after a bug report in March.
> Current version of the script is attached.  Hope it helps.
> 
>     submitters is to use either '[A-Za-z]' or '[[:alpha:]]'.
> 
> I chose A-Za-z.  The line now reads:
>   echo "$command_line_filename" | $EGREP '^(/|[A-Za-z]:/)' >&6 \
> 
Many thanks. I think we'll apply just that change to our package.

Is there schedule for a new texinfo package?

Thanks,
  Hilmar
-- 
sigmentation fault




Added tag(s) patch. Request was from Hilmar Preusse <hille42@web.de> to control@bugs.debian.org. (Thu, 04 Nov 2010 17:03:07 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Hilmar Preusse <hille42@web.de> to control@bugs.debian.org. (Thu, 04 Nov 2010 17:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>:
Bug#586134; Package texinfo. (Thu, 04 Nov 2010 22:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to karl@freefriends.org (Karl Berry):
Extra info received and forwarded to list. Copy sent to Debian TeX maintainers <debian-tex-maint@lists.debian.org>. (Thu, 04 Nov 2010 22:09:06 GMT) Full text and rfc822 format available.

Message #50 received at 586134@bugs.debian.org (full text, mbox):

From: karl@freefriends.org (Karl Berry)
To: hille42@web.de
Cc: 586134@bugs.debian.org, bug-texinfo@gnu.org
Subject: Re: Bug#586134: Invalid grep pattern in texi2dvi
Date: Thu, 4 Nov 2010 22:06:54 GMT
    Is there schedule for a new texinfo package?

No.




Merged 584191 586134 590130 624245. Request was from Hilmar Preusse <hille42@web.de> to control@bugs.debian.org. (Wed, 27 Apr 2011 07:48:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions texinfo/4.13a.dfsg.1-7; no longer marked as fixed in versions texinfo/4.13a.dfsg.1-7 and reopened. Request was from Hilmar Preusse <hille42@web.de> to control@bugs.debian.org. (Wed, 24 Aug 2011 14:27:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Oct 2011 07:35:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:04:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.